import { TAppBasePageProps } from "../page/app-base";
import { TNavItem } from "../sections/nav/types";
export type TPageWrapperProps = {
    AppBasePage: any;
    mainArea?: any;
    topArea?: any;
    bottomArea?: any;
    allowGuest?: boolean;
    onClickNavItem?: (item: TNavItem) => void;
    onShowSolution?: (v?: string | number) => void;
    onShowOrg?: (v?: string | number) => void;
    onShowMe?: (v?: string | number) => void;
};
export declare const PageWrapper: (props: Record<string, any> & TPageWrapperProps & TAppBasePageProps) => JSX.Element;
export default PageWrapper;
