import { CSSProperties } from "react";
import { TSiteSubmitEmailSectionProps } from "./site-submit-email";
import { TSiteTitleSize, TSiteSubtitleSize } from "./site-title";
export type TSiteRecordContentSectionProps = {
    solution: Record<string, any>;
    title: string;
    subTitle?: string;
    content: string;
    colorName: string;
    summary?: string;
    sourceUrl?: string;
    titleSize?: TSiteTitleSize;
    titleClassName?: string;
    titleStyle?: CSSProperties;
    subTitleSize?: TSiteSubtitleSize;
    subTitleClassName?: string;
    subTitleStyle?: CSSProperties;
    media?: string;
    needHeaderPhoto?: boolean;
    mediaSize?: string;
    submitEmailSettings?: TSiteSubmitEmailSectionProps & {
        title: string;
    };
    wrapperClassName?: string;
    wrapperStyle?: CSSProperties;
    contentClassName?: string;
    contentStyle?: CSSProperties;
    tags?: string[];
    disableShorten?: boolean;
    onClickTag?: (tag: string) => void;
};
export declare const SiteRecordContentSection: (props: TSiteRecordContentSectionProps) => JSX.Element;
export default SiteRecordContentSection;
