import { TSiteTitleSize, TSiteSubtitleSize } from "./site-title";
export type FeedType = "tags" | "categories";
export type TSiteSwiperSectionProps = {
    solution: Record<string, any>;
    feedType: FeedType;
    feedValue: string;
    flushCache?: boolean;
    cacheKey?: string;
    scope: "global-and-organization" | "global";
    globalOrganizationId?: string;
    entityName?: string;
    urlTemplate: string;
    pageSize?: number;
    pageNumber?: number;
    title?: string;
    subTitle?: string;
    titleSize?: TSiteTitleSize;
    subTitleSize?: TSiteSubtitleSize;
    wrapperClassName?: string;
    listClassName?: string;
    itemTitleClassName?: string;
    onClick?: (id: string) => void;
};
export declare const SiteSwiperSection: (props: TSiteSwiperSectionProps) => JSX.Element;
export default SiteSwiperSection;
